reportRoot: getAttackSimulationTrainingUserCoverage

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

列出 攻击模拟 和营销活动中租户每个用户的培训覆盖范围。

此函数支持 @odata.nextLink 分页。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) Reports.Read.All
委派(个人 Microsoft 帐户) 不支持。
应用 Reports.Read.All

HTTP 请求

GET /reports/getAttackSimulationTrainingUserCoverage

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此函数在响应 200 OK 正文中返回 响应代码和 attackSimulationTrainingUserCoverage 集合。

示例

请求

GET https://graph.microsoft.com/beta/reports/getAttackSimulationTrainingUserCoverage

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "value": [
    {
      "userTrainings": [
        {
          "assignedDateTime": "2021-01-01T01:01:01.01Z",
          "completionDateTime": "2021-01-02T01:01:01.01Z",
          "trainingStatus": "Completed",
          "displayName": "Sample Training"
        }
      ],
      "attackSimulationUser": {
        "userId": "99af58b9-ef1a-412b-a581-cb42fe8c8e21",
        "displayName": "Sample User",
        "email": "sampleuser@contoso.com"
      }
    }
  ]
}